import { defineStore } from "pinia";
export const useTemplateBaseStore = defineStore("templateBase", {
    state: () => ({
        webSiteInfo: {},
        isSearch:false,
        webAdList:[],
    }),
    actions: {
        //网站基本信息
        setWebSiteInfo(webSiteInfo) {
            this.webSiteInfo = webSiteInfo
        },
        //是否启用搜索功能
        setIsSearch(bool){
            this.isSearch = bool
        },
        //广告列表
        setAdList(webAdList){
            this.webAdList = webAdList
        }
    }
})